## org.emboss.jemboss.gui.sequenceChooser
Class FileChooser

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.sequenceChooser.FileChooser

public class FileChooser
extends java.lang.Object

Creates a JFileChooser and add it to the Box.

Constructor Summary
`FileChooser(javax.swing.Box bdown, java.lang.String name)`

Method Summary
`java.lang.String` `getFileChosen()`
`javax.swing.JFileChooser` `getJFileChooser()`
`TextFieldSink` `getTextFieldSink()`
`void` `setForeground(java.awt.Color c)`
`void` `setSize(java.awt.Dimension d)`
`void` `setText(java.lang.String txt)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChooser

    public FileChooser(javax.swing.Box bdown,
                       java.lang.String name)

Method Detail

### getFileChosen

    public java.lang.String getFileChosen()

### getJFileChooser

    public javax.swing.JFileChooser getJFileChooser()

### getTextFieldSink

    public TextFieldSink getTextFieldSink()

### setText

    public void setText(java.lang.String txt)

### setSize

    public void setSize(java.awt.Dimension d)

### setForeground

    public void setForeground(java.awt.Color c)